<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field\Traits;

trait AppendPrependTraits
{
  protected string $prepend = '';
  protected string $append = '';

  public function setPrepend(string $prepend): self
  {
    $this->prepend = $prepend;
    return $this;
  }

  public function setAppend(string $append): self
  {
    $this->append = $append;
    return $this;
  }

  protected function getAppendPrependArray(): array
  {
    return [
      'append' => $this->append,
      'prepend' => $this->prepend,
    ];
  }
}
